Skip to main content
GET
/
organizations
/
{organization_id}
/
projects
List projects
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/projects \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "subscription_id": "<string>",
      "vendor": "<string>",
      "region": "<string>",
      "title": "<string>",
      "type": "grid",
      "plan": "<string>",
      "timezone": "<string>",
      "default_branch": "<string>",
      "status": "requested",
      "trial_plan": true,
      "project_ui": "<string>",
      "locked": true,
      "cse_notes": "<string>",
      "dedicated_tag": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_links": {
        "self": {
          "href": "<string>"
        },
        "update": {
          "href": "<string>",
          "method": "<string>"
        },
        "delete": {
          "href": "<string>",
          "method": "<string>"
        },
        "activities": {
          "href": "<string>"
        },
        "addons": {
          "href": "<string>"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Query Parameters

filter[id]
object

Allows filtering by id using one or more operators.

filter[title]
object

Allows filtering by title using one or more operators.

filter[status]
object

Allows filtering by status using one or more operators.

filter[updated_at]
object

Allows filtering by updated_at using one or more operators.

filter[created_at]
object

Allows filtering by created_at using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: id, region, title, type, plan, status, created_at, updated_at.

Example:

"-updated_at"

Response

OK

items
object[]